<?php
/**
 * WoWRoster.net WoWRoster
 *
 * Shows items for a character
 *
 * LICENSE: Licensed under the Creative Commons
 *          "Attribution-NonCommercial-ShareAlike 2.5" license
 *
 * @copyright  2002-2009 WoWRoster.net
 * @license    http://creativecommons.org/licenses/by-nc-sa/2.5   Creative Commons "Attribution-NonCommercial-ShareAlike 2.5"
 * @version    SVN: $Id: index.php 1791 2008-06-15 16:59:24Z Zanix $
 * @link       http://www.wowroster.net
 * @package    MemberContent
*/

# index.php -- display items held by a character.
# Original Copyright 2005 vaccafoeda.hellscream@gmail.com
# Copyright 2009 marko_ritter@users.sourceforge.net (Rewriter)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the Affero General Public License as published by
# Affero, Incorporated; either version 1, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# Affero General Public License for more details.
#
# You should have received a copy of the Affero General Public License
# along with this program; if not, download it from http://www.affero.org/

// Multiple edits done for WoWRoster

if( !defined('IN_ROSTER') )
{
    exit('Detected invalid access to this file!');
}

include( ROSTER_LIB . 'item.php' );

$columns = 2;
$member_id = $roster->data["member_id"];

$roster->output['title'] = $roster->locale->act['CharContent'];

$roster->tpl->assign_vars(array(
	'U_FULL' => makelink('&amp;mode=full'),
	'U_INV'  => makelink('&amp;mode=inv'),

	'S_MONEY'      => 1,
	'S_INFO_ADDON' => active_addon('info'),

	'S_COLUMNS' => $columns,
	'S_MODE'    => 1,

	'L_CHARCONTENT'    => $roster->locale->act['charcontent'],
	'L_LIST'         => $roster->locale->act['gbank_list'],
	'L_INV'          => $roster->locale->act['gbank_inv'],
	'L_TOTAL_MONEY'  => $roster->locale->act['charcontent_totalmoney'],
	'L_LAST_UPDATED' => $roster->locale->act['lastupdate'],
	)
);




$muleNameQuery = "SELECT m.member_id, m.name AS member_name, m.note AS member_note, m.officer_note AS member_officer_note, p.money_g AS gold, p.money_s AS silver, p.money_c AS copper, p.clientLocale, p.dateupdatedutc"
			   . " FROM `" . $roster->db->table('players') . "` AS p, `" . $roster->db->table('members') . "`  AS m"
			   . " WHERE m.member_id = '" . $member_id . "' AND p.member_id = m.member_id AND m.guild_id = " . $roster->data['guild_id']
			   . " ;";

$muleNames = $roster->db->query($muleNameQuery);



while( $muleRow = $roster->db->fetch($muleNames) )
{
	// Parse the note field for possible html characters
	$prg_find = array('/"/','/&/','|\\>|','|\\<|',"/\\n/");
	$prg_rep  = array('&quot;','&amp;','&gt;','&lt;','<br />');

	$note = preg_replace($prg_find, $prg_rep, $muleRow['member_note']);

	$date_char_data_updated = date_char_updated($muleRow['dateupdatedutc']);

	$itemsOnMuleQuery = "SELECT i.*,LEFT(i.item_id, (LOCATE(':',i.item_id)-1)) AS real_itemid,sum(i.item_quantity) AS total_quantity"
					  . " FROM `" . $roster->db->table('items') . "` AS i"
					  . " WHERE " . $muleRow['member_id'] . " = i.member_id"
					  . " AND i.item_parent!='bags'"
					  . " AND i.item_parent!='equip'"
					  . " AND (i.item_tooltip"
					  . " NOT LIKE '%" . $roster->locale->wordings[$muleRow['clientLocale']]['tooltip_soulbound'] . "%'"
					  . " OR i.item_tooltip"
					  . " LIKE '%" . $roster->locale->wordings[$muleRow['clientLocale']]['tooltip_boe'] . "%')"
					  . " GROUP BY real_itemid"
					  . " ORDER BY i.item_name";

	$itemsOnMule = $roster->db->query($itemsOnMuleQuery);

	$roster->tpl->assign_block_vars('bank',array(
		'ID'      => $muleRow['member_id'],
		'NAME'    => $muleRow['member_name'],
		'LINK'    => makelink('char-info&amp;a=c:' . $muleRow['member_id']),
		'NOTE'    => $note,
		'UPDATED' => $date_char_data_updated,
		'MONEY_G' => $muleRow['gold'],
		'MONEY_S' => $muleRow['silver'],
		'MONEY_C' => $muleRow['copper'],

		'S_ITEMS' => (bool)$roster->db->num_rows(),

		'L_NO_INFO' => sprintf($roster->locale->act['gbank_not_loaded'],$muleRow['member_name']),
		)
	);

	if( $itemsOnMule )
	{
		$column_counter = 1;
		$striping_counter = 1;

		while( $itemRow = $roster->db->fetch($itemsOnMule) )
		{
			$itemRow['item_quantity'] = $itemRow['total_quantity'];

			$item = new item($itemRow);

			$roster->tpl->assign_block_vars('bank.items',array(
				'ITEM'         => $item->out(),
				'ITEM_TOOLTIP' => $item->html_tooltip,
				'ROW_CLASS'    => $roster->switch_row_class(),
				'COUNT'        => $column_counter
				)
			);

			if( $column_counter==$columns )
			{
				$column_counter = 0;
			}
			$column_counter++;
		}
	}
}

$roster->tpl->set_handle('body', $addon['basename'] . '/charcontent.html');
$roster->tpl->display('body');


/**
 * Gets the last upload date for a character
 *
 * @param int $id | Member ID
 * @return string
 */
function date_char_updated( $time )
{
	global $roster;

	list($year,$month,$day,$hour,$minute,$second) = sscanf($time,'%d-%d-%d %d:%d:%d');
	$localtime = mktime($hour+$roster->config['localtimeoffset'] ,$minute, $second, $month, $day, $year, -1);
	return date($roster->locale->act['phptimeformat'], $localtime);
}
